#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open("README.rst") as readme_file:
    readme = readme_file.read()

with open("HISTORY.rst") as history_file:
    history = history_file.read()

requirements = []

test_requirements = [
    "pytest>=3",
]

setup(
    author="Santosh Philip",
    author_email="nemail@email.com",
    python_requires=">=3.6",
    classifiers=[
        "Development Status :: 2 - Pre-Alpha",
        "Intended Audience :: Developers",
        "Natural Language :: English",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
    ],
    description="python implementation of NOAA's Solar Position Calculators",
    entry_points={
        "console_scripts": [
            "pysunnoaa=pysunnoaa.cli:main",
        ],
    },
    install_requires=requirements,
    long_description=readme + "\n\n" + history,
    include_package_data=True,
    keywords="pysunnoaa",
    name="pysunnoaa",
    packages=find_packages(include=["pysunnoaa", "pysunnoaa.*"]),
    test_suite="tests",
    tests_require=test_requirements,
    url="https://github.com/santoshphilip/pysunnoaa",
    version="0.1.0",
    zip_safe=False,
)
